Name:		screenkey
Version:	1.5
Release:	%mkrel 5
Summary:	A screen-cast tool to show your keys and based on key-mon project
Group:		Video/Utilities
License:	GPLv2+
URL:		https://gitlab.com/screenkey/screenkey/
Source0:	https://www.thregr.org/~wavexx/software/screenkey/releases/%{name}-%{version}.tar.gz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-git)
BuildRequires:	python3dist(babel)

Recommends:	slop

%description
A screen-cast tool to show your keys inspired by Screenflick and based on
the key-mon project.

%prep
%autosetup -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

sed -i 's/^Categories=.*/Categories=AudioVideo;Video;Recorder;/' data/screenkey.desktop
sed -i '/^Version=/d' data/screenkey.desktop

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.thregr.%{name}.metainfo.xml
%dir %{python3_sitelib}/Screenkey/
%{python3_sitelib}/Screenkey/__pycache__/
%{python3_sitelib}/Screenkey/images/
%{python3_sitelib}/Screenkey/*.py*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5-5.mga10
+ Revision: 2243133
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 daviddavid <daviddavid> 1.5-4.mga10
+ Revision: 2161337
- rebuild for python 3.13

* Tue Dec 26 2023 daviddavid <daviddavid> 1.5-3.mga10
+ Revision: 2021625
- rebuild for py3.12
- update Url

* Fri Mar 25 2022 umeabot <umeabot> 1.5-2.mga9
+ Revision: 1825614
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.5-1.mga9
+ Revision: 1779450
- version 1.5
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.4-2.mga9
+ Revision: 1705245
- rebuild for python 3.9

* Fri Jan 29 2021 daviddavid <daviddavid> 1.4-1.mga8
+ Revision: 1673928
- new version: 1.4

* Wed Dec 23 2020 daviddavid <daviddavid> 1.3-1.mga8
+ Revision: 1663111
- new version: 1.3

* Tue Nov 10 2020 daviddavid <daviddavid> 1.2-2.mga8
+ Revision: 1644183
- install manually locale files

* Fri Aug 14 2020 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1613992
- new version: 1.2

* Thu Aug 06 2020 wally <wally> 1.1-3.mga8
+ Revision: 1611518
- port to Ayatana AppIndicator

* Thu Jun 11 2020 daviddavid <daviddavid> 1.1-2.mga8
+ Revision: 1592348
- add recommended dependency on slop

* Thu Jun 11 2020 daviddavid <daviddavid> 1.1-1.mga8
+ Revision: 1592299
- new version: 1.1

* Sun May 24 2020 daviddavid <daviddavid> 1.0-1.mga8
+ Revision: 1587209
- new version: 1.0 (now ported upstream to python3)

* Tue Mar 19 2019 daviddavid <daviddavid> 0.9-1.mga7
+ Revision: 1378775
- initial package screenkey (mga#24530)

